Bug 160270

Summary: Sub should be a Math IC
Product: WebKit Reporter: Saam Barati <sbarati>
Component: JavaScriptCoreAssignee: Saam Barati <sbarati>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, commit-queue, fpizlo, ggaren, gskachkov, keith_miller, mark.lam, msaboff, oliver, ossy, sukolsak, ticaiolima, ysuzuki
Priority: P2    
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
WIP
none
patch none

Description Saam Barati 2016-07-27 14:31:26 PDT
...
Comment 1 Saam Barati 2016-07-27 15:42:19 PDT
Created attachment 284738 [details]
WIP

I want to take some data on old vs new.
But I think this patch should work
Comment 2 WebKit Commit Bot 2016-07-27 15:45:18 PDT
Attachment 284738 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/jit/JITSubGenerator.cpp:51:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/JavaScriptCore/jit/JITSubGenerator.cpp:53:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/JavaScriptCore/jit/JITSubGenerator.cpp:56:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/JavaScriptCore/jit/JITSubGenerator.cpp:60:  Should have a space between // and comment  [whitespace/comments] [4]
ERROR: Source/JavaScriptCore/ftl/FTLLowerDFGToB3.cpp:1713:  Should have a space between // and comment  [whitespace/comments] [4]
Total errors found: 5 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Saam Barati 2016-07-28 15:26:23 PDT
Created attachment 284823 [details]
patch
Comment 4 Mark Lam 2016-08-01 09:47:08 PDT
Comment on attachment 284823 [details]
patch

r=me
Comment 5 WebKit Commit Bot 2016-08-01 11:49:32 PDT
Comment on attachment 284823 [details]
patch

Clearing flags on attachment: 284823

Committed r203979: <http://trac.webkit.org/changeset/203979>
Comment 6 WebKit Commit Bot 2016-08-01 11:49:39 PDT
All reviewed patches have been landed.  Closing bug.